> ## Documentation Index
> Fetch the complete documentation index at: https://cognitio-agent.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get active Console provider metadata

> Get the active Console org name and the set of provider IDs managed by that Console org.



## OpenAPI

````yaml /openapi.json get /experimental/console
openapi: 3.1.1
info:
  title: cognitio
  description: cognitio api
  version: 1.0.0
servers: []
security: []
paths:
  /experimental/console:
    get:
      summary: Get active Console provider metadata
      description: >-
        Get the active Console org name and the set of provider IDs managed by
        that Console org.
      operationId: experimental.console.get
      parameters:
        - in: query
          name: directory
          schema:
            type: string
        - in: query
          name: workspace
          schema:
            type: string
      responses:
        '200':
          description: Active Console provider metadata
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConsoleState'
      x-codeSamples:
        - lang: js
          source: |-
            import { createCognitioClient } from "@cognitio/sdk

            const client = createCognitioClient()
            await client.experimental.console.get({
              ...
            })
components:
  schemas:
    ConsoleState:
      type: object
      properties:
        consoleManagedProviders:
          type: array
          items:
            type: string
        activeOrgName:
          type: string
        switchableOrgCount:
          type: number
      required:
        - consoleManagedProviders
        - switchableOrgCount

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.